<template>
  <div class="user">
    <div class="photo">
      <img :src="avatar" alt="avatar"/>
    </div>
    <div class="user-info">
      <a data-toggle="collapse" :aria-expanded="!isClosed" @click.stop="toggleMenu" @click.capture="clicked">
           <span>
             {{title}}
             <b class="caret"></b>
          </span>
      </a>
        <collapse-transition>
            <div v-show="!isClosed">
              <ul class="nav" >
                <slot>
                  <li>
                    <a href="#">
                      <span class="sidebar-mini">P</span>
                      <span class="sidebar-normal">Il mio Profilo</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span class="sidebar-mini">MP</span>
                      <span class="sidebar-normal">Modifica Profilo</span>
                    </a>
                  </li>
                  <li>
                    <a href="#vue">
                      <span class="sidebar-mini">I</span>
                      <span class="sidebar-normal">Impostazioni</span>
                    </a>
                  </li>
                </slot>
              </ul>
          </div>
        </collapse-transition>
    </div>
  </div>
</template>
<script>
  import { CollapseTransition } from 'vue2-transitions';

  export default {
    components: {
      CollapseTransition
    },
    props: {
      title: {
        type: String,
        default: 'Oltion Abazi'
      },
      rtlTitle: {
        type: String,
        default: 'تانيا أندرو'
      },
      avatar: {
        type: String,
        default: './img/faces/avatar.jpg'
      }
    },
    data() {
      return {
        isClosed: true
      }
    },
    methods: {
      clicked: function(e) {
        e.preventDefault()
      },
      toggleMenu: function() {
        this.isClosed = !this.isClosed
      }
    }
  }
</script>
<style>
  .collapsed {
    transition: opacity 1s;
  }
</style>
